Bug 222791 - net/kafkacat: Update to 1.3.1
Summary: net/kafkacat: Update to 1.3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-10-05 12:36 UTC by sergey
Modified: 2017-10-12 13:20 UTC (History)
2 users (show)

See Also:
dbaio: maintainer-feedback+


Attachments
kafkacat-1.3.1 (1.03 KB, text/plain)
2017-10-05 12:36 UTC, sergey
no flags Details
poudriere log on 10.4 (20.30 KB, text/x-log)
2017-10-09 15:33 UTC, sergey
no flags Details
kafkacat-1.3.1 (1.34 KB, patch)
2017-10-09 15:36 UTC, sergey
sergey: maintainer-approval+
Details | Diff
poudriere log on 11.1 (19.82 KB, text/x-log)
2017-10-09 15:37 UTC, sergey
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description sergey 2017-10-05 12:36:55 UTC
Created attachment 186919 [details]
kafkacat-1.3.1

Update port to latest upstream version 1.3.1.

BTW, I haven't found any reasons for "USES=perl5", we can remove it.
perl is a dependency of net/librdkafka and will be installed anyway.
Comment 1 Victor Yagofarov 2017-10-05 14:18:51 UTC
Could somebody please remove me from maintainers of this port?
I have no way to do it, sorry.
Comment 2 Danilo G. Baio freebsd_committer 2017-10-08 20:21:57 UTC
(In reply to Victor Yagofarov from comment #1)

Ok, thanks for your work maintaining this port.

@Sergey, Do you want to maintain this port?

And also, could you please:
Confirm that this change passes QA (portlint, poudriere in particular). 
For more information, see: https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/testing.html
Comment 3 sergey 2017-10-09 15:33:00 UTC
Created attachment 187026 [details]
poudriere log on 10.4
Comment 4 sergey 2017-10-09 15:36:10 UTC
Created attachment 187027 [details]
kafkacat-1.3.1

Ok, I'll take it.

I've changed patch a bit.
- Reorder terms on portlint recomendations.
- Added STRIP_CMD.
Comment 5 sergey 2017-10-09 15:37:19 UTC
Created attachment 187028 [details]
poudriere log on 11.1
Comment 6 commit-hook freebsd_committer 2017-10-09 22:03:34 UTC
A commit references this bug:

Author: linimon
Date: Mon Oct  9 22:02:44 UTC 2017
New revision: 451646
URL: https://svnweb.freebsd.org/changeset/ports/451646

Log:
  Maintainer has asked for port to be returned to the wild.

  PR:		222791

Changes:
  head/net/kafkacat/Makefile
Comment 7 commit-hook freebsd_committer 2017-10-12 13:17:59 UTC
A commit references this bug:

Author: dbaio
Date: Thu Oct 12 13:17:48 UTC 2017
New revision: 451875
URL: https://svnweb.freebsd.org/changeset/ports/451875

Log:
  net/kafkacat: Update to 1.3.1

  Don't need to depends on perl5.
  Strip kafkacat binary.
  Pass MAINTAINER'ship to submitter.
  While here, add LICENSE_FILE.

  PR:		222791
  Submitted by:	sergey@akhmatov.ru

Changes:
  head/net/kafkacat/Makefile
  head/net/kafkacat/distinfo
Comment 8 Danilo G. Baio freebsd_committer 2017-10-12 13:20:17 UTC
Committed, thanks!